<?php // $Id$

/**
 * Based on mod/assignment/backuplib.php (1.12)
 */


//This function executes all the backup procedure about this mod
function myvideos_backup_mods($bf, $preferences) {

    global $CFG;

    $status = true;

    //Iterate over myvideos table
    $myvideos = get_records("myvideos", "course", $preferences->backup_course, "id");
    if ($myvideos) {
        foreach ($myvideos as $myvideo) {
            if (backup_mod_selected($preferences, 'myvideos', $myvideo->id)) {
                $status = myvideos_backup_one_mod($bf, $preferences, $myvideo);
                // backup files happens in backup_one_mod now too.
            }
        }
    }
    return $status;  
}


function myvideos_backup_one_mod($bf, $preferences, $myvideo) {
    
    global $CFG;

    if (is_numeric($myvideo)) {
        $myvideo = get_record('myvideos', 'id', $myvideo);
    }

    $status = true;

    //Start mod
    fwrite ($bf, start_tag("MOD", 3, true));
    
    fwrite ($bf, full_tag("ID", 4, false, $myvideo->id));
    fwrite ($bf, full_tag("MODTYPE", 4, false, "myvideos"));
    fwrite ($bf, full_tag("VIDEOID", 4, false, $myvideo->videoid));
    fwrite ($bf, full_tag("FAVORITE", 4, false, $myvideo->favorite));
    fwrite ($bf, full_tag("NAME", 4, false, $myvideo->name));
    fwrite ($bf, full_tag("INTRO", 4, false, $myvideo->intro));
    fwrite ($bf, full_tag("TIMECREATED", 4, false, $myvideo->timecreated));
    fwrite ($bf, full_tag("TIMEMODIFIED", 4, false, $myvideo->timemodified));
    
    // Don't backup video comments
    
    //End mod
    $status = fwrite ($bf, end_tag("MOD", 3, true));

    return $status;
}


////Return an array of info (name,value)
function myvideos_check_backup_mods($course,$user_data=false,$backup_unique_code,$instances=null) {

    if (!empty($instances) && is_array($instances) && count($instances)) {
        $info = array();
        foreach ($instances as $id => $instance) {
            $info += myvideos_check_backup_mods_instances($instance,$backup_unique_code);
        }
        return $info;
    }

     //First the course data
     $info[0][0] = get_string('modulenameplural','myvideos');
     $info[0][1] = count_records('myvideos', 'course', $course);

     return $info;
}

////Return an array of info (name,value)
function myvideos_check_backup_mods_instances($instance,$backup_unique_code) {
     $info[$instance->id.'0'][0] = '<b>'.$instance->name.'</b>';
     $info[$instance->id.'0'][1] = '';

     return $info;
}
?>