<?php // $Id$


/**
 * Given an object containing all the necessary data,
 * (defined by the form in mod_form.php) this function
 * will create a new instance and return the id number
 * of the new instance.
 *
 * @param object $myvideos An object from the form in mod_form.php
 * @return int The id of the newly inserted myvideos record
 */
function myvideos_add_instance($myvideo) {

    // Dirty hack 
    $videotype = explode('_', $myvideo->video['videoid']);
    if ($videotype[1] == 'user') {
        $myvideo->favorite = 0;
    } else {
        $myvideo->favorite = 1;
    }
    
    // TODO: Ensure that the videoid is public
    
    $myvideo->videoid = $videotype[0];
    $myvideo->timecreated = time();
    
    return insert_record('myvideos', $myvideo);
}


/**
 * Given an object containing all the necessary data,
 * (defined by the form in mod_form.php) this function
 * will update an existing instance with new data.
 *
 * @param object $myvideos An object from the form in mod_form.php
 * @return boolean Success/Fail
 */
function myvideos_update_instance($myvideo) {

    $myvideo->videoid = $myvideo->video['videoid'];
    $myvideo->timemodified = time();
    $myvideo->id = $myvideo->instance;
    
    return update_record('myvideos', $myvideo);
}


/**
 * Given an ID of an instance of this module,
 * this function will permanently delete the instance
 * and any data that depends on it.
 *
 * @param int $id Id of the module instance
 * @return boolean Success/Failure
 */
function myvideos_delete_instance($id) {

    if (!$myvideo = get_record('myvideos', 'id', $id)) {
        return false;
    }

    $result = true;

    if (!delete_records('myvideos_comment', 'id', $myvideo->id)) {
        $result = false;
    }

    return $result;
}


/**
 * Return a small object with summary information about what a
 * user has done with a given particular instance of this module
 * Used for user activity reports.
 * $return->time = the time they did it
 * $return->info = a short text description
 *
 * @return null
 * @todo Finish documenting this function
 */
function myvideos_user_outline($course, $user, $mod, $myvideo) {
    return $return;
}


/**
 * Print a detailed representation of what a user has done with
 * a given particular instance of this module, for user activity reports.
 *
 * @return boolean
 * @todo Finish documenting this function
 */
function myvideos_user_complete($course, $user, $mod, $myvideo) {
    return true;
}


/**
 * Given a course and a time, this module should find recent activity
 * that has occurred in myvideos activities and print it out.
 * Return true if there was output, or false is there was none.
 *
 * @return boolean
 * @todo Finish documenting this function
 */
function myvideos_print_recent_activity($course, $isteacher, $timestart) {
    return false;  //  True if anything was printed, otherwise false
}


/**
 * Function to be run periodically according to the moodle cron
 * This function searches for things that need to be done, such
 * as sending out mail, toggling flags etc ...
 *
 * @return boolean
 * @todo Finish documenting this function
 **/
function myvideos_cron () {
    return true;
}


/**
 * Must return an array of user records (all data) who are participants
 * for a given instance of myvideos. Must include every user involved
 * in the instance, independient of his role (student, teacher, admin...)
 * See other modules as example.
 *
 * @param int $myvideosid ID of an instance of this module
 * @return mixed boolean/array of students
 */
function myvideos_get_participants($myvideoid) {
    return false;
}


/**
 * This function returns if a scale is being used by one myvideos
 * if it has support for grading and scales. Commented code should be
 * modified if necessary. See forum, glossary or journal modules
 * as reference.
 *
 * @param int $myvideosid ID of an instance of this module
 * @return mixed
 * @todo Finish documenting this function
 */
function myvideos_scale_used($myvideoid, $scaleid) {
    return false;
}


/**
 * Checks if scale is being used by any instance of myvideos.
 * This function was added in 1.9
 *
 * This is used to find out if scale used anywhere
 * @param $scaleid int
 * @return boolean True if the scale is used by any myvideos
 */
function myvideos_scale_used_anywhere($scaleid) {
    return false;
}


/**
 * Enables print_section_add_menus to show the activity in the resources list
 * 
 * @return object
 */
function myvideos_get_types() {
 
    $type->modclass = MOD_CLASS_RESOURCE;
    $type->type = "myvideos";
    $type->typestr = get_string('modulename', 'myvideos');
   
    return array($type);
}


/**
 * Execute post-install custom actions for the module
 * This function was added in 1.9
 *
 * @return boolean true if success, false on error
 */
function myvideos_install() {
    return true;
}


/**
 * Execute post-uninstall custom actions for the module
 * This function was added in 1.9
 *
 * @return boolean true if success, false on error
 */
function myvideos_uninstall() {
    
    // TODO: Delete config vars?
    return true;
}

?>
