<?php // $Id$

/**
 * Based on mod/assignment/restorelib.php (1.33.2.2)
 */

function myvideos_restore_mods($mod, $restore) {

    global $CFG;

    $status = true;

    //Get record from backup_ids
    $data = backup_getid($restore->backup_unique_code, $mod->modtype, $mod->id);

    if ($data) {
        //Now get completed xmlized object
        $info = $data->info;
        
        //Now,  build the myvideos record structure
        $myvideo->course = $restore->course_id;
        $myvideo->videoid = backup_todb($info['MOD']['#']['VIDEOID']['0']['#']);
        $myvideo->favorite = backup_todb($info['MOD']['#']['FAVORITE']['0']['#']);
        $myvideo->name = backup_todb($info['MOD']['#']['NAME']['0']['#']);
        $myvideo->intro = backup_todb($info['MOD']['#']['INTRO']['0']['#']);
        $myvideo->timecreated = backup_todb($info['MOD']['#']['TIMECREATED']['0']['#']);
        $myvideo->timemodified = backup_todb($info['MOD']['#']['TIMEMODIFIED']['0']['#']);

        $newid = insert_record("myvideos", $myvideo);

        //Do some output     
        if (!defined('RESTORE_SILENTLY')) {
            echo "<li>".get_string("modulename", "myvideos")." \"".format_string(stripslashes($myvideo->name), true)."\"</li>";
        }
        backup_flush(300);

        if ($newid) {
            //We have the newid, update backup_ids
            backup_putid($restore->backup_unique_code, $mod->modtype, $mod->id, $newid);
        } else {
            $status = false;
        }
    } else {
        $status = false;
    }

    return $status;
}
    
// TODO: restore logs

?>